Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence
Enum PersistenceStrategy

    java.lang.Object
      java.lang.Enum<PersistenceStrategy>
          org.apache.openjpa.persistence.PersistenceStrategy

All Implemented Interfaces:
  Serializable, Comparable<PersistenceStrategy>

    public enum PersistenceStrategy

extends Enum<PersistenceStrategy>

Set of field persistence strategies used in JPA.

Author:
  Abe White

Enum Constant Summary
`BASIC`
`ELEM_COLL`
`EMBEDDED`
`MANY_MANY`
`MANY_ONE`
`ONE_MANY`
`ONE_ONE`
`PERS`
`PERS_COLL`
`PERS_MAP`
`TRANSIENT`

Method Summary
`static PersistenceStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PersistenceStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BASIC

    public static final PersistenceStrategy BASIC

### MANY_ONE

    public static final PersistenceStrategy MANY_ONE

### ONE_MANY

    public static final PersistenceStrategy ONE_MANY

### ONE_ONE

    public static final PersistenceStrategy ONE_ONE

### MANY_MANY

    public static final PersistenceStrategy MANY_MANY

### ELEM_COLL

    public static final PersistenceStrategy ELEM_COLL

### EMBEDDED

    public static final PersistenceStrategy EMBEDDED

### TRANSIENT

    public static final PersistenceStrategy TRANSIENT

### PERS

    public static final PersistenceStrategy PERS

### PERS_COLL

    public static final PersistenceStrategy PERS_COLL

### PERS_MAP

    public static final PersistenceStrategy PERS_MAP

Method Detail

### values

    public static PersistenceStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PersistenceStrategy c : PersistenceStrategy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PersistenceStrategy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.